# CameraType

## Overview

CameraType is an Enum that defines various camera types used in scene rendering or gameplay.

This is used in the CameraType property of Camera objects and determines how the camera behaves.

## Items

| Name       | Value | Description                                                |
| ---------- | ----- | ---------------------------------------------------------- |
| Fixed      | 0     | (Currently not supported.)                                 |
| Attach     | 1     | (Currently not supported.)                                 |
| Watch      | 2     | (Currently not supported.)                                 |
| Track      | 3     | (Currently not supported.)                                 |
| Follow     | 4     | (Currently not supported.)                                 |
| Custom     | 5     | A camera type that allows user-defined behavior. (Default) |
| Scriptable | 6     | A camera controlled through scripts.                       |
| Orbital    | 7     | (Currently not supported.)                                 |

## See also

{% content-ref url="/pages/qv7xkawNoDS8sQh6QGul" %}
[Camera](/development/api-reference/classes/camera.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/cameratype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
